# include "OCA_macro.h"
# include "GIRAFFE_macro.h"

// ===========================================================================================
// 3. action (association)
// ===========================================================================================

// ===========================================================================================
action ACTION_BIAS
{
  recipe gimasterbias {
  "--stack-method=median";
  }
// virtual products for cascade
  product MASTER_BIAS { PRO.CATG="MASTER_BIAS"; PRO.EXT="tpl_0000.fits";}
}

// ===========================================================================================
action ACTION_FFLAT
{
// ACTION_FFLAT MASTER_BIAS DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as MASTER_BIAS from calibFiles where
    PRO.CATG=="MASTER_BIAS"
    and MATCH_RULE1
  ;
  recipe gimasterflat {
  "--bsremove-method=MASTER";
  "--sloc-noise=5.";
  }

// virtual products for cascade
  product FF_LOCWIDTH { PRO.CATG="FF_LOCWIDTH"; PRO.EXT="tpl_0002.fits";}
}

// ===========================================================================================
action ACTION_NFLT
{
// ACTION_NFLT MASTER_BIAS DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as MASTER_BIAS from calibFiles where
    PRO.CATG=="MASTER_BIAS"
    and MATCH_RULE1
  ;
  recipe gimasterflat {
  "--bsremove-method=MASTER";
  "--sloc-noise=5.";
  }
// virtual products for cascade
  product NF_LOCWIDTH { PRO.CATG="NF_LOCWIDTH"; PRO.EXT="tpl_0002.fits";}
}

// ===========================================================================================
action ACTION_SCI_ARG
{
// ACTION_SCI_ARG MASTER_BIAS DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as MASTER_BIAS from calibFiles where
    PRO.CATG=="MASTER_BIAS"
    and MATCH_RULE1
  ;
//// ACTION_SCI_ARG MASTER_DARK DELTAT_RULE=0.1
//  minRet = 1; maxRet = 1;
//  select file as MASTER_DARK from calibFiles where
//    PRO.CATG=="MASTER_DARK"
//    and MATCH_RULE1
//  ;
// ACTION_SCI_ARG NF_LOCWIDTH DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as NF_LOCWIDTH from calibFiles where
    PRO.CATG=="NF_LOCWIDTH"
    and MATCH_RULE2
  ;
// ACTION_SCI_ARG DISPERSION_SOLUTION DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as DISPERSION_SOLUTION from calibFiles where
    PRO.CATG=="DISPERSION_SOLUTION"
    and MATCH_RULE2
  ;
// ACTION_SCI_ARG STD_ARGSPECTRA DELTAT_RULE=10
  minRet = 1; maxRet = 1;
  select file as STD_ARGSPECTRA from calibFiles where
    PRO.CATG=="STD_ARGSPECTRA"
    and MATCH_RULE2
  ;
  recipe giscience {
  "--bsremove-method=ZMASTER";
  "--transmission-apply=FALSE";
  }
}

// ===========================================================================================
action ACTION_SCI_IFU
{
// ACTION_SCI_IFU MASTER_BIAS DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as MASTER_BIAS from calibFiles where
    PRO.CATG=="MASTER_BIAS"
    and MATCH_RULE1
  ;
// ACTION_SCI_IFU NF_LOCWIDTH DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as NF_LOCWIDTH from calibFiles where
    PRO.CATG=="NF_LOCWIDTH"
    and MATCH_RULE2
  ;
// ACTION_SCI_IFU DISPERSION_SOLUTION DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as DISPERSION_SOLUTION from calibFiles where
    PRO.CATG=="DISPERSION_SOLUTION"
    and MATCH_RULE2
  ;
// ACTION_SCI_IFU STD_IFUSPECTRA DELTAT_RULE=10
  minRet = 1; maxRet = 1;
  select file as STD_IFUSPECTRA from calibFiles where
    PRO.CATG=="STD_IFUSPECTRA"
    and MATCH_RULE2
  ;
  recipe giscience {
  "	--bsremove-method=ZMASTER ";
  "	--transmission-apply=FALSE";
  }
}

// ===========================================================================================
action ACTION_SCI_MED
{
// ACTION_SCI_MED MASTER_BIAS DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as MASTER_BIAS from calibFiles where
    PRO.CATG=="MASTER_BIAS"
    and MATCH_RULE1
  ;
//// ACTION_SCI_MED MASTER_BLA DELTAT_RULE=2.5
//  minRet = 1; maxRet = 1;
//  select file as MASTER_BLA from calibFiles where
//    PRO.CATG=="MASTER_BLA"
//    and MATCH_RULE1
//  ;
// ACTION_SCI_MED FF_LOCWIDTH DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as FF_LOCWIDTH from calibFiles where
    PRO.CATG=="FF_LOCWIDTH"
    and MATCH_RULE2
  ;
// ACTION_SCI_MED DISPERSION_SOLUTION DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as DISPERSION_SOLUTION from calibFiles where
    PRO.CATG=="DISPERSION_SOLUTION"
    and MATCH_RULE2
  ;
  recipe giscience {
  "--bsremove-method=ZMASTER ";
  "--transmission-apply=false";
  }
}

// ===========================================================================================
action ACTION_WAVE
{
// ACTION_WAVE MASTER_BIAS DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as MASTER_BIAS from calibFiles where
    PRO.CATG=="MASTER_BIAS"
    and MATCH_RULE1
  ;
  minRet = 1; maxRet = 1;
  select file as FF_LOCWIDTH from calibFiles where
    PRO.CATG=="FF_LOCWIDTH"
    and MATCH_RULE2
  ;
  recipe giwavecalibration {
  "--bsremove-method=MASTER";
  "--wcal-lswidth=10,10,10	";
  }
// virtual products for cascade
  product DISPERSION_SOLUTION { PRO.CATG="DISPERSION_SOLUTION"; PRO.EXT="0006.tfits";}
}

// ===========================================================================================
action ACTION_STD_IFU
{
// ACTION_STD_IFU MASTER_BIAS DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as MASTER_BIAS from calibFiles where
    PRO.CATG=="MASTER_BIAS"
    and MATCH_RULE1
  ;
// ACTION_STD_IFU NF_LOCWIDTH DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as NF_LOCWIDTH from calibFiles where
    PRO.CATG=="NF_LOCWIDTH"
    and MATCH_RULE2
  ;
// ACTION_STD_IFU DISPERSION_SOLUTION DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as DISPERSION_SOLUTION from calibFiles where
    PRO.CATG=="DISPERSION_SOLUTION"
    and MATCH_RULE2
  ;
  recipe giscience {
  "  --bsremove-method=ZMASTER";
  "  --transmission-apply=FALSE";
  }
// virtual products for cascade
  product STD_IFUSPECTRA { PRO.CATG="STD_IFUSPECTRA"; PRO.EXT="0005.fits";}
}

// ===========================================================================================
action ACTION_STD_ARG
{
// ACTION_STD_ARG MASTER_BIAS DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as MASTER_BIAS from calibFiles where
    PRO.CATG=="MASTER_BIAS"
    and MATCH_RULE1
  ;
// ACTION_STD_ARG NF_LOCWIDTH DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as NF_LOCWIDTH from calibFiles where
    PRO.CATG=="NF_LOCWIDTH"
    and MATCH_RULE2
  ;
// ACTION_STD_ARG DISPERSION_SOLUTION DELTAT_RULE=2.5
  minRet = 1; maxRet = 1;
  select file as DISPERSION_SOLUTION from calibFiles where
    PRO.CATG=="DISPERSION_SOLUTION"
    and MATCH_RULE2
  ;
  recipe giscience {
  "  --bsremove-method=ZMASTER";
  "  --transmission-apply=FALSE";
  }
// virtual products for cascade
  product STD_ARGSPECTRA { PRO.CATG="STD_ARGSPECTRA"; PRO.EXT="0005.fits";}
}


